Bug 629703 - No good way to go from tigervnc-server -> tigervnc-server-minimal
No good way to go from tigervnc-server -> tigervnc-server-minimal
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-02 14:35 EDT by Jesse Keating
Modified: 2013-04-30 19:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-12 08:12:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2010-09-02 14:35:46 EDT
Description of problem:
anaconda now requires tigervnc-server-minimal, but it used to require tigervnc-server.  So upon update time it tries to drag in tigervnc-server-minimal.  This conflicts at the file level with the previous tigervnc-server.

Transaction Check Error:
  file /usr/bin/Xvnc from install of tigervnc-server-minimal-1.0.90-0.19.20100813svn4123.fc14.x86_64 conflicts with file from package tigervnc-server-1.0.90-0.18.20100813svn4123.fc14.x86_64
  file /usr/bin/vncconfig from install of tigervnc-server-minimal-1.0.90-0.19.20100813svn4123.fc14.x86_64 conflicts with file from package tigervnc-server-1.0.90-0.18.20100813svn4123.fc14.x86_64
  file /usr/bin/vncpasswd from install of tigervnc-server-minimal-1.0.90-0.19.20100813svn4123.fc14.x86_64 conflicts with file from package tigervnc-server-1.0.90-0.18.20100813svn4123.fc14.x86_64

Clearly there needs to be some sort of Obsoletes going on.

This is filed against f14 but it exists on rawhide too.
Comment 1 Adam Tkac 2010-09-07 10:39:57 EDT
Which mechanism anaconda uses for package installation? AFAIK it uses "yum --installroot" so everything should be fine, shouldn't it?

May I ask you for quick description how to reproduce this issue, please?
Comment 2 Jesse Keating 2010-09-07 13:07:07 EDT
Take a system that was installed prior to your split up and had anaconda the rpm installed.  Try to yum update.  Get above error.
Comment 3 Adam Tkac 2011-04-12 08:12:15 EDT
I believe this issue no longer exists, closing as WORKSFORME.

If you still hit this issue, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.